Bug 1610324 - Rebuild openchange against updated samba
Summary: Rebuild openchange against updated samba
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openchange
Version: 7.6
Hardware: All
OS: Linux
medium
urgent
Target Milestone: rc
: ---
Assignee: Milan Crha
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1558560
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-31 12:21 UTC by Jiri Koten
Modified: 2018-10-30 10:28 UTC (History)
3 users (show)

Fixed In Version: openchange-2.3-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
eds backtrace (238.62 KB, text/plain)
2018-07-31 12:23 UTC, Jiri Koten
no flags Details
evolution backtrace (325.75 KB, text/plain)
2018-07-31 12:26 UTC, Jiri Koten
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:00 UTC

Description Jiri Koten 2018-07-31 12:21:56 UTC
Description of problem:
Evolution crashes on start when loading MAPI account and during authentication to Exchange account.

Version-Release number of selected component (if applicable):
evolution-mapi-3.28.3-1.el7
evolution-data-server-3.28.4-1.el7
evolution-3.28.4-1.el7
samba-client-libs-4.8.3-3.el7

How reproducible:
100%

Steps to Reproduce:
1. Have evolution configured with existing MAPI account
2. Start evolution
3.

Actual results:
Crash

Expected results:
Starts successfully

Additional info:
Probably related to rebase of samba to 4.8.3 - see rhbz#1558560

Comment 3 Jiri Koten 2018-07-31 12:23:42 UTC
Created attachment 1471788 [details]
eds backtrace

Comment 4 Jiri Koten 2018-07-31 12:26:32 UTC
Created attachment 1471789 [details]
evolution backtrace

Comment 6 Milan Crha 2018-08-22 13:48:02 UTC
Thanks for a bug report. The openchange currently builds against samba 4.7.1-9.el7_5, but when such generated binaries are run against latest samba, which is 4.8.3-4, then it crashes, possibly due to incompatible generated code by pidl or some such tool provided by samba.

Simply rebuild against latest samba works, +/- added patch to be able to build against libical 3.0, which I tested locally. Thus once the latest samba is available in brew I can rebuild openchange and it'll work again.

Comment 12 errata-xmlrpc 2018-10-30 10:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.